function [A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,nbeta] = get_model_reduced_money()


do_stat = 0;
do_real = 1;

stdv_tec = 0.014;
stdv_mas = 0.016;
stdv_nws = 0.65;
stdv_lam = 0.112;

stdv_tec = 0.0023;
stdv_mas = 0.0043;
stdv_nws = 0.0412;


eta     = 5;  % semi interest-elasticity of money demand
chi     = 0.47;      
sigma   = 1;
theta   = chi;
w_sub   = 1;
nbeta   = 0.99;   
alpha   = 0.5;   
rho_tec = 0.95;   
rho_nws = 0;
rho_lam = 0.95;
rho_mas = 0.95;
epsi    = 11;   
ps      = epsi/(epsi-1);
fix_p   = 0.8;
slope_c = (1-fix_p)*(1-fix_p*nbeta)/fix_p;
% note that slope_r = epsi/adj, so that ...
adj     = epsi/slope_c;     
omega   = 0.0;
tau     = 1.5;

TAX_SS  = 1;
NOI_SS = 1/nbeta;

PHI_SS = 0.02/4;        % 2 percent spread annualized
LEV_SS = 1/0.11;         % consistent with 20% capital requirement
gamma  = (1-omega*LEV_SS)*nbeta/(PHI_SS*LEV_SS+1);
GRN_SS = 1/nbeta*(PHI_SS*LEV_SS+1);
GRB_SS = GRN_SS;
VAN_SS = (1-gamma)/(1-gamma*nbeta*GRN_SS);
VAB_SS = PHI_SS*VAN_SS;
LAM_SS = ((VAN_SS)/LEV_SS + VAB_SS)/TAX_SS;

% labor to utilization ratio in steady state
LUR_SS = (alpha/(1-alpha)*nbeta/(1+PHI_SS))^(1/(1+chi));
UTI_SS = ( (1-alpha)*LUR_SS^(alpha*(1-sigma)) )^(1/(theta+sigma));
OUT_SS = LUR_SS^alpha*UTI_SS;
LAB_SS = LUR_SS*UTI_SS;

CON_SS = OUT_SS;
WAG_SS = LAB_SS^chi*CON_SS^sigma;
LOA_SS = WAG_SS*LAB_SS;
NTW_SS = LOA_SS/LEV_SS;
PIN_SS = 1;
MAC_SS = 1;
PRI_SS = 1;
EXX_SS = OUT_SS;
TEC_SS = 0;

kappa  = slope_c; 
SUBb_SS = 1;    

%fprintf('\n coefficient on future leverage % g', gamma*nbeta*GRB_SS*(PHI_SS*LEV_SS+1));

% INDEX VARIABLES state variables must come first (for convenience )
MAS     =       1;
NWS 	= MAS + 1;
TEC 	= MAS + 2;
INF 	= MAS + 3;
SUM 	= MAS + 4;
PHI 	= MAS + 5;
GAP 	= MAS + 6;
LEV 	= MAS + 7;
NTW 	= MAS + 8;
NOI     = MAS + 9;
DEB     = MAS + 10;
RMB     = MAS + 11;
SUBb_Y  = MAS + 12;   % NOTE: subsidy must be last for ONE_INSTRUMENT code to work

%-------------
MGR    = 1;
SUBb   = 1;

nz   = MAS + 12;  % non-policy variables
nu1  = 1;         % policy variables policymaker
nu2  = 1;  
ns   = MAS + 2;   % i.i.d shocks

A0  = zeros(nz,nz);
A1  = zeros(nz,nz);
A2  = zeros(nz,nz);
A3  = zeros(nz,nu1);
A3T = zeros(nz,nu2);
A4  = zeros(nz,nu1);
A4T = zeros(nz,nu2);
A5  = zeros(nz,ns);

%LEV_SS/(PHI_SS*LEV_SS+1)*PHI_SS

% where: Y is non policy variables
%        X is policy variables
%        V is pure i.i.d. shocks
%
% A0*Y_{t} = A1*Y_{t-1} + A2*Y_{t+1} + A3*X1_t + A4*X1_{t+1} + A3T*X2_t + A4T*X2_{t+1} +A5*V_t

%EQUATIONS FROM HOUSEHOLD AND PRODUCERS

e=1;
%// 1) Phillips curve 
%   log(PIN)=kappa*((sigma+theta)*log(YGAP)+alpha*log(SUM)+log(MAS))+nbeta*log(PIN(+1));
A0(e,INF)  = 1;
A0(e,GAP)  = -kappa*(sigma+theta);
A0(e,SUM)  = -kappa*alpha;
A2(e,INF)  =  nbeta;
A0(e,MAS)  = -kappa;

e = e+1;
%// 2) consumption Euler equation   
%   log(NOI)=sigma*(log(YGAP(+1)/YGAP))+sigma*(theta+1)*(log(TEC(+1)/TEC))/(sigma+theta)+log(PIN(+1));
A0(e,NOI) = 1;
A2(e,INF) = 1;
A2(e,GAP) = sigma;
A0(e,GAP) = sigma;
A2(e,TEC) = sigma*(theta+1)/(sigma+theta);
A0(e,TEC) = sigma*(theta+1)/(sigma+theta);

e=e+1;
%// 3) net worth  equation
%   nbeta*log(NTW)=gamma*(PHI_SS*LEV_SS+1)*(log(NTW(-1))+log(NOI(-1)))+ gamma*PHI_SS*LEV_SS*log(LEV(-1))+gamma*LEV_SS*log(PHI(-1))+nbeta*log(NWS);
% A0(e,NTW)    = nbeta;
% A0(e,NWS)    = -nbeta;
% A1(e,NTW)    = gamma*(PHI_SS*LEV_SS+1);
% A1(e,NOI)    = gamma*(PHI_SS*LEV_SS+1);
% A1(e,LEV)    = gamma*PHI_SS*LEV_SS;
% A1(e,PHI)    = gamma*LEV_SS;
% A1(e,SUBb_Y) = gamma*(LEV_SS+1);
if do_real ==1;
   A0(e,NTW) = 1;
   A0(e,INF) = 1;
   A1(e,NTW) = 1;
   A1(e,NOI) = gamma*(PHI_SS*LEV_SS + 1)*NOI_SS;
   A1(e,PHI) = gamma*LEV_SS*NOI_SS;
   A1(e,LEV) = gamma*PHI_SS*LEV_SS*NOI_SS;
   A0(e,NWS) = -1;
   A1(e,SUBb_Y) = -gamma*(1-LEV_SS)*NOI_SS;
else    
    A0(e,NTW) =  NTW_SS;
    A1(e,NTW) = gamma*(PHI_SS*LEV_SS + 1)*NOI_SS*NTW_SS;
    A1(e,NOI) = gamma*(PHI_SS*LEV_SS + 1)*NOI_SS*NTW_SS;
    A1(e,PHI) = gamma*LEV_SS*NOI_SS*NTW_SS;
    A1(e,LEV) = gamma*PHI_SS*LEV_SS*NOI_SS*NTW_SS;
    A0(e,NWS) = -NTW_SS;
    A1(e,SUBb_Y) = -gamma*(1-LEV_SS)*NOI_SS*NTW_SS;
end

e=e+1;
%// 4)
%   log(LEV/LEV(-1))+log(NTW/NTW(-1))=(sigma+theta+1)*log(YGAP/YGAP(-1))+(theta+1)*log(TEC/TEC(-1))/(sigma+theta)-(1-alpha)*log(SUM/SUM(-1))+log(PIN);
if do_real == 1; % here net worth is real
    A0(e,LEV) = 1;
    A0(e,NTW) = 1;
    A0(e,GAP) = -(sigma+theta+1);
    A0(e,TEC) = -(theta+1)/(sigma+theta);
    A0(e,SUM) = (1-alpha);
elseif do_stat
    A0(e,PRL) = 0;
    A1(e,LEV) = 1;
    A1(e,NTW) = 1;
    A1(e,GAP) = -(sigma+theta+1);
    A1(e,TEC) = -(theta+1)/(sigma+theta);
    A1(e,SUM) = (1-alpha);
    A0(e,INF) = -1;
else  % here net worth is nominal
    A0(e,LEV) = 1;
    A0(e,NTW) = 1;
    A0(e,GAP) = -(sigma+theta+1);
    A0(e,TEC) = -(theta+1)/(sigma+theta);
    A0(e,SUM) = (1-alpha);
    A0(e,PRL) = -1;
end

e=e+1;
%// 5) Leverage
%   log(LEV)=LEV_SS*log(PHI)+gamma*nbeta*GRB_SS*(PHI_SS*LEV_SS+1)*log(LEV(+1));
A0(e,LEV)   = 1;
A0(e,PHI)   = -LEV_SS;
A2(e,LEV)   = gamma*nbeta*GRB_SS*(PHI_SS*LEV_SS+1);
A3T(e,SUBb) = LEV_SS-1;

%EQUATIONS FOR SHOCKS

e=e+1;
% 6. Law of motion for TFP;
A0(e,TEC) = 1;
A1(e,TEC) = rho_tec;
A5(e,TEC) = stdv_tec;

e=e+1;
% 7. Law of motion for NTW;
A0(e,NWS) = 1;
A1(e,NWS) = rho_nws;
A5(e,NWS) = stdv_nws;

e=e+1;
% 8. Law of motion for MAS;  
A0(e,MAS) = 1;
A1(e,MAS) = rho_mas;
A5(e,MAS) = stdv_mas;

e=e+1;
% 9. Effective interest rate
A0(e,SUM)   = 1;
A0(e,PHI)   = -1/(1+PHI_SS);
A0(e,NOI)   = -1; 

%  e=e+1;
%  % 10 Price level
%  A0(e,INF) = 1;
%  A0(e,PRL) = -1;
%  A1(e,PRL) = -1;
 

e = e+1; 
% 10
   SUBb_SS=0;
% debt accumulation: D = 1/beta*D(-1) + SUB_expenditures-TAX_revenue
   A0(e , DEB)  = 1;
%   A3T(e,SUBb) = 1/nbeta*(LEV_SS-1)*NTW_SS;
%   A0(e,LEV)   = -1/nbeta*NTW_SS*SUBb_SS;
%   A0(e,NTW)   = -1/nbeta*(LEV_SS-1)*SUBb_SS;
%   A0(e,NOI)   = -(LEV_SS-1)*NTW_SS*SUBb_SS;
%   A0(e,TAX)   = PRI_SS*OUT_SS;
%   A1(e,DEB)   = 1/nbeta; 

% 11
e = e+1; % GAP + (1+theta)/(sigma+theta)*TEC -eta*NOI = RMB

A0(e,RMB) = -1;
A0(e,GAP) = 1;
A0(e,TEC) = (1+theta)/(sigma+theta);
A0(e,NOI) = -eta;

% 12
e =e+1;  % Gali p. 56 equation (31): RMB(-1) = RMB + PIN - MGR
A0(e,RMB) = 1;
A0(e,INF) = 1;
A3(e,MGR) = 1;
A1(e,RMB) = 1;

e= e+1;
% 13. Defines the sub in the Y-vector  - MUST BE LAST EQUATION, for one instrument code to work !
A0(e,SUBb_Y) = 1;
A3T(e,SUBb)  = 1;

Q = zeros(nu1+nu2,nu1+nu2);
W = zeros(nz,nz);

W1 = W; 
W2 = W;

Q1 = zeros(nu1,nu1)/10;
Q2 = zeros(nu2,nu2)/10;

W(INF,INF)     = adj;
W(GAP,GAP)     = (sigma+theta);
W(SUM,SUM)     = alpha*(1-alpha)/(1+theta);
W(SUBb_Y,SUBb_Y) = 0*(sigma+theta)/100;
W(DEB,DEB)       = 0*10^(-6);

delegation = 1;

if  delegation == 0;
    W1(INF,INF) = adj;
    W1(GAP,GAP) = (sigma+theta);
    W2(INF,INF) = adj;
    W2(GAP,GAP) = (sigma+theta);
    W2(SUM,SUM) = alpha*(1-alpha)/(1+theta);
elseif delegation ==  1;
    W1(INF,INF) = adj;
    W1(GAP,GAP) = (sigma+theta);
    W2(GAP,GAP) = (sigma+theta);
    W2(SUM,SUM) = alpha*(1-alpha)/(1+theta);
    % W2(SUBb_Y,SUBb_Y) = W(SUBb_Y,SUBb_Y);
    W2(DEB,DEB)  = W(DEB,DEB);
end;
   