function social_welfare_conditional = cooperation_WL_calc(wgap_cur,wf_cur,wgapCB_cur,wgapMP_cur)

%-------------------------------------------------------------------------------
% Solve the model
%-------------------------------------------------------------------------------
global wgap wf wgapCB wgapMP macropru_tool
wgap   = wgap_cur;
wf     = wf_cur;
wgapCB = wgapCB_cur;
wgapMP = wgapMP_cur;

macropru_tool = 2;

%Get the model matricies
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,WS,Q1,W1,Q2,W2,beta] = get_model_reduced_varWeight();
WC = W;
A3 = [A3,A3T];
A4 = [A4,A4T];

[nz,nu] = size(A3);
ns      = size(A5,2);

%Run the solver
t        = 1e-13; 
dampen   = 0;

F1_start = zeros(nu,nz); 
H1_start = zeros(nz,nz);
V_start  = zeros(nz,nz);

[H1,H2,F1,F2,V] = solve_value_coop(A0,A1,A2,A3,A4,A5,WC,Q,H1_start,F1_start,V_start,beta,t,dampen);

%-------------------------------------------------------------------------------
% Compute the welfare loss
%-------------------------------------------------------------------------------
OMEGA_U                    = zeros(ns,ns);
OMEGA_U(1,1)               = 1;

P0                         = doublej_mp(beta*H1,  WS  + beta*F1'*Q*F1,  H1); 
social_welfare_conditional = 1/2*(trace(H2(:,1)'*P0*H2(:,1))*(1-beta) + beta*trace( (F2'*Q*F2  + H2'*P0*H2)*OMEGA_U))*100;

end