clear;
close all;

addpath('../Common_Code')
addpath('../Common_Code/gensys')

%-------------------------------------------------------------------------------
% Calculate the welfare losses
%-------------------------------------------------------------------------------
N_gap    = 100;
grid_gap = linspace(0,1,N_gap);

coop      = zeros(1,N_gap);
macroPrud = zeros(1,N_gap);

parfor i_gap = 1:N_gap
    coop(i_gap)      = cooperation_WL_calc(grid_gap(i_gap),0.06,1,1);
    macroPrud(i_gap) = macroPrud_WL_calc(grid_gap(i_gap),1.1);
end

%-------------------------------------------------------------------------------
% Plot the result
%-------------------------------------------------------------------------------
%%
figure(1)
hold on
plot(grid_gap,coop,'r');
plot(grid_gap,macroPrud,'b');
legend('Cooperation','Macroprudential Leadership')
xlabel('\chi_y')
ylabel('Welfare losses');