function WL = commitmentCooperation_WL()

%-------------------------------------------------------------------------------
% Solve the Model
%-------------------------------------------------------------------------------

%Get the Model Matrcies
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_reduced_money();

% concatenate both instruments in one vector for cooperation 
A3 = [A3,A3T];
A4 = [A4,A4T];

%Solve the Model
[A,B] = solve_cooperation_commitment(A0,A1,A2,A3,A4,A5,W,Q,beta);

%-------------------------------------------------------------------------------
% Calculate the Welfare loss
%-------------------------------------------------------------------------------
nz           = length(A0);
nx           = size(A3,2);
ns           = size(A5,2);

OMEGA_U      = zeros(ns,ns);
OMEGA_U(1,1) = 1;

Hys          = [eye(nz,nz),zeros(nz,length(A)-nz)];
What         = Hys'*W*Hys;
P            = doublej_mp(beta*A,What,A);

WL           = 0.5*(trace(B(:,1)'*P*B(:,1))*(1-beta) + beta*trace(B'*P*B*OMEGA_U))*100;

end