function WL = commitmentNash_WL()

%-------------------------------------------------------------------------------
% Solve the Model
%-------------------------------------------------------------------------------

%Get the Model Matricies
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_reduced_money();

%Call the solver
[A,B] = solve_open_loop(A0,A1,A2,A3,A3T,A4,A4T,A5,W1,W2,Q1,Q2,beta);

%-------------------------------------------------------------------------------
% Calculate the welfare loss
%-------------------------------------------------------------------------------
nz           = length(A0);
nx1          = size(A3,2);
nx2          = size(A3T,2);
ns           = size(A5,2);

OMEGA_U      = zeros(ns,ns);
OMEGA_U(1,1) = 1;

Hys          = [eye(nz,nz),zeros(nz,length(A)-nz)];
What         = Hys'*W*Hys;
P            = doublej_mp(beta*A,What,A);

WL           = 0.5*(trace(B(:,1)'*P*B(:,1))*(1-beta) + beta*trace(B'*P*B*OMEGA_U))*100;

end