function WL = discretionCooperation_WL()

%-------------------------------------------------------------------------------
% Solve the Model
%-------------------------------------------------------------------------------

%Get the Model Matricies
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_reduced_money();
WC = W;

% concatenate both instruments in one vector for cooperation
A3 = [A3,A3T];
A4 = [A4,A4T];

%Call the model solver
[nz,nu]         = size(A3);
ns              = size(A5,2);

F1_start        = zeros(nu,nz); 
H1_start        = zeros(nz,nz);
V_start         = doublej_mp(beta*H1_start,  H1_start'*W*H1_start  + beta*transpose(F1_start)*Q*F1_start,  H1_start);

t               = 1e-13; 
dampen          = 0;
[H1,H2,F1,F2,V] = solve_value_coop(A0,A1,A2,A3,A4,A5,WC,Q,H1_start,F1_start,V_start,beta,t,dampen);

%-------------------------------------------------------------------------------
% Calculate the welfare loss
%-------------------------------------------------------------------------------
OMEGA_U      = zeros(ns,ns);
OMEGA_U(1,1) = 1;

P0           = doublej_mp(beta*H1,  W  + beta*F1'*Q*F1,  H1); 

WL           = 1/2*(trace(H2(:,1)'*P0*H2(:,1))*(1-beta) + beta*trace((F2'*Q*F2  + H2'*P0*H2)*OMEGA_U))*100;

end