function WL = commitmentCooperation_WL()

%-------------------------------------------------------------------------------
% Solve the Model
%-------------------------------------------------------------------------------

%Get the Model Matricies 
global macropru_tool delegation kappa1 kappa2
macropru_tool = 4;   % 1 and 4 are preferred tools  
delegation    = 1;
kappa1        = 1;
kappa2        = 1;

[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_GK();

% concatenate both instruments in one vector for cooperation 
A3 = [A3,A3T];
A4 = [A4,A4T];

%Call the Solver
[A,B] = solve_cooperation_commitment(A0,A1,A2,A3,A4,A5,W,Q,beta);

%-------------------------------------------------------------------------------
% Calculate Welfare Loss
%-------------------------------------------------------------------------------
nz           = length(A0);
nx           = size(A3,2);
ns           = size(A5,2);


OMEGA_U      = eye(ns,ns);
OMEGA_U(1,1) = 1;

Hys          = [eye(nz,nz),zeros(nz,length(A)-nz)];
What         = Hys'*W*Hys;
P            = doublej_mp(beta*A,What,A);

WL           = 0.5*(trace(B(:,1)'*P*B(:,1))*(1-beta) + beta*trace(B'*P*B*OMEGA_U))*100;

end