function WL = discretionNash_WL()

%-------------------------------------------------------------------------------
% Solve the Model
%-------------------------------------------------------------------------------

%Call the solver
global dampen dampen1 dampen2 delegation solution_algo kappa1 kappa2 macropru_tool
dampen                = 0.2;
dampen1               = dampen;         % zeros(1,length(A0))+
dampen2               = dampen1;
solution_algo         = 2;
delegation            = 3;
kappa1                = 1;
kappa2                = 1;
macropru_tool         = 4;

%Get the Model matricies
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_GK();

[nz,nu1]              = size(A3);
nu2                   = size(A3T,2);
ns                    = size(A5,2); 

H1                    = zeros(nz,nz);
F1                    = zeros(1,nz);
F1T                   = zeros(1,nz);

t                     = 1e-10; 

[H1,H2,F1,F2,F1T,F2T] = solve_nash(A0,A1,A2,A3,A3T,A4,A4T,A5,W1,W2,Q1,Q2,H1,F1,F1T,beta,t,1);

%-------------------------------------------------------------------------------
% Calculate the Welfare Loss
%-------------------------------------------------------------------------------
OMEGA_U      = eye(ns,ns);
OMEGA_U(1,1) = 1;

WW           = W;
QQ           = zeros(size(Q));
P0           = doublej_mp(beta*H1,  WW  + beta*transpose([F1;F1T])*QQ*[F1;F1T],  H1);

WL           = 1/2*(trace(H2(:,1)'*P0*H2(:,1))*(1-beta) + beta*trace(([F2;F2T]'*QQ*[F2;F2T]  + H2'*P0*H2)*OMEGA_U))*100;
end