function WL = nash_WL()

global dampen solution_algo wgapCB wgapMP macropru_tool

dampen        = 0;
macropru_tool = 4;
solution_algo = 2;
wgapCB        = wgapCB_cur;
wgapMP        = wgapMP_cur;

%Get the Model matrix
[A0,A1,A2,A3,A3T,A4,A4T,A5,Q,W,Q1,W1,Q2,W2,beta] = get_model_GK;

WW = W;
QQ = zeros(size(Q));

[nz,nu1] = size(A3);
nu2      = size(A3T,2);
ns       = size(A5,2); 
 
%Call the solver
t   = 1e-10;
H1  = zeros(nz,nz);
F1  = zeros(1,nz);
F1T = zeros(1,nz);

[H1,H2,F1,F2,F1T,F2T] = solve_nash(A0,A1,A2,A3,A3T,A4,A4T,A5,W1,W2,Q1,Q2,H1,F1,F1T,beta,t,1); 

%-------------------------------------------------------------------------------
% Calculate the Welfare loss
%-------------------------------------------------------------------------------
OMEGA_U      = zeros(ns,ns);
OMEGA_U(1,1) = 1;
P0           = doublej_mp(beta*H1,  WW  + beta*transpose([F1;F1T])*QQ*[F1;F1T],  H1);

WL = 1/2*(trace(H2(:,1)'*P0*H2(:,1))*(1-beta) + beta*trace(([F2;F2T]'*QQ*[F2;F2T]  + H2'*P0*H2)*OMEGA_U))*100;

end